﻿Option Explicit On

Public Class frmECL
    Dim objECL As New clsECL

    Private Sub frmECL_FormClosing(sender As Object, e As FormClosingEventArgs) Handles Me.FormClosing
        Me.Dispose()
    End Sub

    Private Sub frmECL_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        userCLICK = False

        Me.txtFileName.Text = objECL.Filename

        If flagOil Or flagGas Or flagWater Then
            Me.chkDENS.Enabled = True
            Me.chkDENS.Checked = True
            Me.txtDENS.Enabled = True
            Me.txtDENS.Text = objECL.DENSFile
        End If

        If flagOil Then
            Me.chkPVDO.Enabled = True
            Me.chkPVDO.Checked = True
            Me.txtPVDO.Enabled = True
            Me.txtPVDO.Text = objECL.PVDOFile

            Me.chkPVTO.Enabled = True
            Me.chkPVTO.Checked = True
            Me.txtPVTO.Enabled = True
            Me.txtPVTO.Text = objECL.PVTOFile
        End If

        If flagOil Or flagGas Then
            Me.chkPVDG.Enabled = True
            Me.chkPVDG.Checked = True
            Me.txtPVDG.Enabled = True
            Me.txtPVDG.Text = objECL.PVDGFile
        End If

        If flagWater Then
            Me.chkPVTW.Enabled = True
            Me.chkPVTW.Checked = True
            Me.txtPVTW.Enabled = True
            Me.txtPVTW.Text = objECL.PVTWFile
        End If

        If flagRock Then
            If optRockFluids = 0 Then
                Me.chkSWOF.Enabled = True
                Me.chkSWOF.Checked = True
                Me.txtSWOF.Enabled = True
                Me.txtSWOF.Text = objECL.SWOFFile
            Else
                Me.chkSGOF.Enabled = True
                Me.chkSGOF.Checked = True
                Me.txtSGOF.Enabled = True
                Me.txtSGOF.Text = objECL.SGOFFile
            End If

            Me.chkROCK.Enabled = True
            Me.chkROCK.Checked = True
            Me.txtROCK.Enabled = True
            Me.txtROCK.Text = objECL.ROCKFile
        End If
        userCLICK = True
    End Sub

    Private Sub cmdCancel_Click(sender As Object, e As EventArgs) Handles cmdCancel.Click
        Me.Close()
    End Sub

    Private Sub cmdExport_Click(sender As Object, e As EventArgs) Handles cmdExport.Click
        objECL.Execute()
        Me.Close()
    End Sub

    Private Sub chkPVDO_CheckedChanged(sender As Object, e As EventArgs) Handles chkPVDO.CheckedChanged
        objECL.PVDO = Me.chkPVDO.Checked
        Me.txtPVDO.Enabled = Me.chkPVDO.Checked
    End Sub

    Private Sub chkPVTO_CheckedChanged(sender As Object, e As EventArgs) Handles chkPVTO.CheckedChanged
        objECL.PVTO = Me.chkPVTO.Checked
        Me.txtPVTO.Enabled = Me.chkPVTO.Checked
    End Sub

    Private Sub chkPVDG_CheckedChanged(sender As Object, e As EventArgs) Handles chkPVDG.CheckedChanged
        objECL.PVDG = Me.chkPVDG.Checked
        Me.txtPVDG.Enabled = Me.chkPVDG.Checked
    End Sub

    Private Sub chkPVTW_CheckedChanged(sender As Object, e As EventArgs) Handles chkPVTW.CheckedChanged
        objECL.PVTW = Me.chkPVTW.Checked
        Me.txtPVTW.Enabled = Me.chkPVTW.Checked
    End Sub

    Private Sub chkDENS_CheckedChanged(sender As Object, e As EventArgs) Handles chkDENS.CheckedChanged
        objECL.DENS = Me.chkDENS.Checked
        Me.txtDENS.Enabled = Me.chkDENS.Checked
    End Sub

    Private Sub txtFileName_TextChanged(sender As Object, e As EventArgs) Handles txtFileName.TextChanged
        objECL.Filename = Me.txtFileName.Text
        Me.txtPVDO.Text = objECL.PVDOFile
        Me.txtPVTO.Text = objECL.PVTOFile
        Me.txtPVDG.Text = objECL.PVDGFile
        Me.txtPVTW.Text = objECL.PVTWFile
        Me.txtDENS.Text = objECL.DENSFile
        Me.txtSWOF.Text = objECL.SWOFFile
        Me.txtSGOF.Text = objECL.SGOFFile
        Me.txtROCK.Text = objECL.ROCKFile
    End Sub

    Private Sub txtPVDO_TextChanged(sender As Object, e As EventArgs) Handles txtPVDO.TextChanged
        objECL.PVDOFile = Me.txtPVDO.Text
    End Sub

    Private Sub txtPVTO_TextChanged(sender As Object, e As EventArgs) Handles txtPVTO.TextChanged
        objECL.PVTOFile = Me.txtPVTO.Text
    End Sub

    Private Sub txtPVDG_TextChanged(sender As Object, e As EventArgs) Handles txtPVDG.TextChanged
        objECL.PVDGFile = Me.txtPVDG.Text
    End Sub

    Private Sub txtPVTW_TextChanged(sender As Object, e As EventArgs) Handles txtPVTW.TextChanged
        objECL.PVTWFile = Me.txtPVTW.Text
    End Sub

    Private Sub txtDENS_TextChanged(sender As Object, e As EventArgs) Handles txtDENS.TextChanged
        objECL.DENSFile = Me.txtDENS.Text
    End Sub

    Private Sub chkSWOF_CheckedChanged(sender As Object, e As EventArgs) Handles chkSWOF.CheckedChanged
        objECL.SWOF = Me.chkSWOF.Checked
        Me.txtSWOF.Enabled = Me.chkSWOF.Checked
    End Sub

    Private Sub txtSWOF_TextChanged(sender As Object, e As EventArgs) Handles txtSWOF.TextChanged
        objECL.SWOFFile = Me.txtSWOF.Text
    End Sub

    Private Sub chkSGOF_CheckedChanged(sender As Object, e As EventArgs) Handles chkSGOF.CheckedChanged
        objECL.SGOF = Me.chkSGOF.Checked
        Me.txtSGOF.Enabled = Me.chkSGOF.Checked
    End Sub

    Private Sub txtSGOF_TextChanged(sender As Object, e As EventArgs) Handles txtSGOF.TextChanged
        objECL.SGOFFile = Me.txtSGOF.Text
    End Sub

    Private Sub chkROCK_CheckedChanged(sender As Object, e As EventArgs) Handles chkROCK.CheckedChanged
        objECL.ROCK = Me.chkROCK.Checked
        Me.txtROCK.Enabled = Me.chkROCK.Checked
    End Sub

    Private Sub txtROCK_TextChanged(sender As Object, e As EventArgs) Handles txtROCK.TextChanged
        objECL.ROCKFile = Me.txtROCK.Text
    End Sub

    Private Sub GroupBox2_Enter(sender As Object, e As EventArgs) Handles GroupBox2.Enter

    End Sub
End Class